Bug 464 - gnucash does not download exchange rate from the internet
: gnucash does not download exchange rate from the internet
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Pavel Shved
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 00:50 MSD by Pavel Shved
Modified: 2013-01-10 11:25 MSK (History)
2 users (show)

See Also:
RPM Package: gnucash-2.4.6-2-rosa.lts2012.0.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Shved 2012-07-03 00:50:58 MSD
Description of problem:

GnuCash doesn't update currency exchange rate from the internet, while it should.


Steps to Reproduce and Fix:
1.  Open GnuCash
2.  Tools -> Price Editor
3.  Add.  Namespace: CURRENCY, select any two currencies.
4.  See that "Get Quotes" button is still disabled.
5.  Install perl-Finance-Quotes to get it enabled
6.  See error message "Unable to retrieve quotes for these items:   CURRENCY:USD"
7.  Upgrade perl-Finance-Quotes past 1.18 version
8.  now it works

So, there are two issues.  First, Finance::Quote perl module should be a dependency of Gnucash.  The package works perfectly without it except for automatic quotes downloading.   Perhaps, a Suggests: mechanism could work?  Finance::Quotes is mentioned in the official guide about currencies [1].

Second, Finance::Quote is not up-to-date with modern yahoo.finance, as mentioned in Debian thread [2].  I downloaded and installed the latest perl module version from [3], and it solved my problem.

P.S. Could you please leave it to me as a toy fix, please? :-)

[1]: http://code.gnucash.org/docs/guide/currency_howto1.html
[2]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660447
[3]: https://github.com/pfenwick/finance-quote/
Comment 1 Dmitry Mikhirev 2012-07-04 16:56:35 MSD
(In reply to comment #0)

> P.S. Could you please leave it to me as a toy fix, please? :-)

Assign it to youself please. :-)
Comment 2 Pavel Shved 2012-07-06 13:29:46 MSD
(In reply to comment #1)
> (In reply to comment #0)
> 
> > P.S. Could you please leave it to me as a toy fix, please? :-)
> 
> Assign it to youself please. :-)

OK
Comment 3 Denis Silakov 2013-01-10 11:25:45 MSK
... In addition, perl-Finance-Quote is in contrib, while gnucash is in main. So 'suggests' is a good solution here, and gnucash already has perl-Finance-Quote among its suggestions.

And perl-Finance-Quote has been recently updated to 1.18 in both Marathon and Fresh, so this bug can be closed.